{- | Plantilla

Plantilla para facilitar al usuario el annadir ejercicios que utilicen los operadores y las
transformaciones comunes del modulo Proposicional.
-}
module Plantilla where
import Proposicional

-- |Soluciona un ejercicio tipo nuevo.
--
-- En todos los ejercicios se seguira el patron s++tipoEjercicio a la hora de llamar a esta
-- funcion.
sNuevo :: Expresion Bool Operador -> IO()

-- Escribir nombre lista de transformaciones (ejemplo: tNuevo) al final de la linea siguiente:
sNuevo = putStr . head . solucionesA1


-- |Transformaciones para conseguir un ejercicio tipo nuevo
--
--En todos los ejercicios se seguira el patron t++tipoEjercicio a la hora de llamar a esta lista.
tNuevo :: [Transformacion Bool Operador]
tNuevo = -- comunA1 ++					--Borrar '--' detras del igual para
							--utilizar las transformaciones comunes
	[	
		(--Sustituir este texto por la forma a modificar
		 ,--Sustituir este texto por la forma modificada
		)
		
		--Repetir, separando escribiendo una coma antes de abrir un parántesis
		
		{-Ejemplos:
		(O NOT [O AND [V "p",V "q"]] , 
		O OR [O NOT [V "p"],O NOT [V "q"]]), 	--ley de Morgan I
		
		(O NOT [O OR [V "p",V "q"]] , 
		O AND [O NOT [V "p"],O NOT [V "q"]]) 	--ley de Morgan II
		-}
		
	]

{- Transformaciones comunes en esta version de principia:
comunA1 :: [Transformacion Bool Operador]
comunA1 = [
		(O NOT [O NOT [V "p"]], 		--doble negacion
		V "p")
	]
-}

